import * as models from "../lib/models.js";
import * as queues from "../lib/queues.js";
import logging from '../lib/logging.js';
import assert from 'assert';
import { API } from '../lib/api.js';

const log = logging.create(import.meta.url);

<% for(let method in methods) { %>
export const <%- method.toLowerCase() %> = async (req, res) => {
  const api = new API(req, res);
  const reply_data = <%= JSON.stringify(methods[method][1], null, 4) %>

  try {
    log.debug(reply_data);
    api.reply(<%- methods[method][0] %>, reply_data);
  } catch (error) {
    log.error(error);
    api.error(500, error.message || "Internal Server Error");
  }
}
<% } %>
